Skip to main content
`Ctrl`+`K`

# DMPlexCopyCoordinates

Copy coordinates from one mesh to another with the same vertices

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCopyCoordinates(DM dmA, DM dmB)

Collective

## Input Parameter

- dmA - The `DMPLEX` object with initial coordinates

## Output Parameter

- dmB - The `DMPLEX` object with copied coordinates

## Notes

This is typically used when adding pieces other than vertices to a mesh

This function does not copy localized coordinates.

## See Also

`DMPLEX`, `DMCopyLabels()`, `DMGetCoordinates()`, `DMGetCoordinatesLocal()`, `DMGetCoordinateDM()`, `DMGetCoordinateSection()`

## Level

intermediate

## Location

src/dm/impls/plex/plexinterpolate.c

## Examples

src/dm/impls/plex/tutorials/ex3f90.F90
src/tao/tutorials/ex3.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages